Subject: Re: bug#55770: 29.0.50; Feature Request: Hook When battery transitions to low or critical

From: "T.V Raman" <[email-masked]>
Date: Fri, 3 Jun 2022 11:00:03 -0700

I understand and I can set mine appropriately --- I was just pointing
out that a low value for the update interval when combined with an
update function that does some computes could prove a bad combination.Eli Zaretskii writes:
 > > Cc: [email-masked]
 > > Date: Fri, 03 Jun 2022 09:39:10 -0700
 > > From:  "T.V Raman" via "Bug reports for GNU Emacs,
 > >  the Swiss army knife of text editors" <[email-masked]>
 > > 
 > > 
 > > Lookeding at this more closely,
 > > default value of battery-update-interval is 60s which might be okay for
 > > updating modeline; will having other functions here prove to be an
 > > efficiency hit?
 > > 
 > > For instance, if playing a sound on entering critical state,  one might
 > > well end up implementing some more logic to decide how often to play a sound.
 > 
 > battery-update-interval is also a defcustom, so you can make it
 > smaller if you need.

-- 

Thanks,

--Raman(I Search, I Find, I Misplace, I Research)
♉ Id: kg:/m/0285kf1  🦮

-- 

Thanks,

--Raman(I Search, I Find, I Misplace, I Research)
♉ Id: kg:/m/0285kf1  🦮